\section{Introduction}
\label{sec:intro}

\subsection{A note on notation (cit.)}
\label{subsec:intro_notation}

\begin{itemize}
    \item \textbf{HQ} means high quality image
    \item \textbf{LQ} means high quality image
\end{itemize}

\subsection{Context}
\label{subsec:intro_context}

\begin{assumption}
\label{ass:aligned_data}
    A succesful segmentation algorithm is trained on \textit{aligned} pairs (image, annotation).
\end{assumption}

The aim is to segment 3D images of \worm{}, with deep learning. There is a number of approaches in segmentation to do so and they are all based on \Cref{ass:aligned_data}.

\begin{issue}
\label{iss:hq_segment}
    Expert neuroscientists (\aka{} \kse{}) can annotate HQ but LQ cannot be: they are too much noisy.
\end{issue}

\begin{issue}
\label{iss:hq_lq}
    It's very easy to capture LQ of \worm{}, much more difficult is to capture HQ of it.
\end{issue}

\begin{issue}
\label{iss:single_hq}
    At the moment only a single HQ has been annotated (and that was a lot of work).
\end{issue}

\begin{issue}
\label{iss:hq_lq_timing}
    LQ and HQ cannot be taken at same time: usually a whole LQ movie is taken, then a whole HQ movie. This means there are a lot of \textit{unaligned} (LQ, HQ) pairs.
\end{issue}

Due to \Cref{iss:hq_segment} and \Cref{iss:hq_lq} the training set needs to consist mainly of LQ. This does not represent much of a problem: still many approaches exist (see \cite{Weigert236463}) that deal with it. However \Cref{iss:single_hq} represents the real bottleneck so an ad-hoc strategy needs to be implemented. In this way an \textit{aligned} dataset consisting of many pairs (LQ, annotation) would be constructed from a single pair (HQ, annotation), thus fullfilling \Cref{ass:aligned_data}.

\subsection{Previous work}
\label{subsec:intro_prev_work}

Following approaches were not succesful.

\begin{itemize}
    \item deforming and lowering the image quality of a single HQ to generate multiple LQ
    \item generate LQ from annotations
    \item add some sort of noise to many HQ generating LQ
\end{itemize}

\subsection{Strategy}
\label{subsec:intro_strategy}

First of all, any approach that works on 3D images must work on 2D: to \href{https://en.wikipedia.org/wiki/KISS_principle}{keep it simple} the first step is to develop an algorithm that works on 2D images; then, if succesful, it will be extended to 3D images. \matt{} suggested splitting the problem in 2:

\begin{enumerate}
    \item \textit{mapping 1} (see \Cref{sec:m1}) is responsible of generating many (HQ, annotation) pairs from a single pair (HQ, annotation).
    \item \textit{mapping 2} (see \Cref{sec:m2}) is responsible of generating a single LQ from a single HQ. The deep learning algorithm would be GAN-based.
\end{enumerate}
